Wooxy API v.3.0

Find Domain

The Find Domain method allows you to obtain information about all domains in your account.

Important! In this method, pagination is used to display information about a large number of lists simultaneously. The offset is considered the starting point, and the limit is the endpoint.

Request

POST
https://api.wooxy.com/v3/domain/find

IMPORTANT: Do not send more than 10 concurrent API requests.

Body Example

                                        {
    "offset": 0,
    "limit": 20
}
                                    

Parameters

Title Type Default Description

offset

optional
integer 0

Allows you to omit a specified number of rows (number of domains) before the beginning of return rows (domains) from the query.

The 'default' is 0.

limit

optional
integer 20

Allows you to limit the number of rows (domains) returned from a query.

The 'default' is 20.

Response

                                        {
    "result": true,
    "data": [
        {
            "domainId":   "YOUR_DOMAIN_ID_1",
            "domain":     "YOUR_DOMAIN_NAME_1",
            "isTrial":  "false",
            "createdAt":  "2019-02-20 14:32:03"
        },
        {
            "domainId":   "YOUR_DOMAIN_ID_2",
            "domain":     "YOUR_DOMAIN_NAME_2",
            "isTrial":  "false",
            "createdAt":  "2020-10-02 12:44:03"
        }
    ],
    "totalCount": 2,
    "offset": 0,
    "limit": 20,
    "errors": []
}
                                    

Parameters

Title Type Description

result

boolean

Indicated that the query was successful:

  • true: The value indicates that domains were successfully found in your account.

data

array

An array of fetched information.

data.domainId

string

Unique domain ID in the Wooxy system.

data.domain

string

Verified domain name from your Wooxy account.

data.dnsSubdomain

string

Subdomain that will be delegated to Wooxy as your account's technical domain for sending messages, hosting tracking links, and serving branding images.

data.emailVerified

boolean

Information about whether the domain has been verified using domain email.

data.dnsVerified

boolean

Information about whether the domain has been verified using provided DNS records.

data.warmupStatus

integer

Information about whether your domain is on warming: 

  • 1 - yes
  •  0 - no.

data.warmupDay

integer

The warm-up day of the domain. Domain warm-up begins automatically upon domain addition.

data.dnsRecords

array

An array of objects with the necessary DNS records, including all the required data to be added on your side for domain verification.

data.dnsRecords.type

string

The DNS record type that must be added to your domain's DNS settings in your hosting service.

data.dnsRecords.name

string

The DNS record name that must be added to your domain's DNS settings in your hosting service. When adding the record, the name must be exactly as received in the webhook.

data.dnsRecords.value

string

The DNS record value that must be added to your domain's DNS settings in your hosting service. When adding the record, the value must be exactly as received in the response.

data.createdAt

string

Domain creation time in YYYY-MM-DD h:i:s format

totalCount

integer

Total number of found domains.

offset

integer

Integer shift. Default value: 0.

limit

integer

Integer limit. Default value: 20.

Method Errors

                                        {
    "result": false,
    "data": [],
    "errors": [
        "Error description text"
    ]
}
                                    
Error

“Invalid authorization token!”

“Internal server error”

“Bad Request”

“no matches found for access token {accessToken}”

“user {id} not enabled”

“no data found for key {userId}”

“access token check failed for key/secret $key/$accessToken”

“Argument {argument} required”

“Parameter offset must be an integer”

“Parameter limit must be an integer”

Code Examples

PHP
                $accessToken = 'YOUR_API_KEY';
$url         = 'https://api.wooxy.com/v3/domain/find';
$body = json_encode([
   "offset" => 0,
   "limit"  => 20
]);
/** * Request Example   */
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
//curl_setopt($ch, CURLOPT_HEADER, true);
curl_setopt($ch, CURLOPT_INFILESIZE, null);
curl_setopt($ch, CURLOPT_POSTFIELDS, $body);
curl_setopt($ch, CURLOPT_HTTPHEADER, [ 
    "Access-Token: $accessToken", 
    'Content-Type: application/json', 
    'Content-Length: ' . strlen($body), 
]); 
$result = curl_exec($ch); 
if ($result === false) { 
    echo 'cURL error:' . curl_error($ch) . PHP_EOL;
} else { 
     echo strval($result) . PHP_EOL; 
} 
curl_close($ch);